<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="19529" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="yHs-80-GOC">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="19519"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--View Controller-->
        <scene sceneID="tne-QT-ifu">
            <objects>
                <viewController id="BYZ-38-t0r" customClass="ViewController" customModule="BLEDemo" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="8bC-Xf-vdC">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Ubw-bL-h2z">
                                <rect key="frame" x="0.0" y="88" width="414" height="120"/>
                                <subviews>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="scanning" translatesAutoresizingMaskIntoConstraints="NO" id="gNg-dx-g3s">
                                        <rect key="frame" x="40" y="33" width="54" height="54"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="54" id="03x-Az-bqV"/>
                                            <constraint firstAttribute="width" constant="54" id="X14-Xy-N3H"/>
                                        </constraints>
                                    </imageView>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Scanning ..." textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Zje-EW-u7L">
                                        <rect key="frame" x="118" y="50" width="272" height="20.5"/>
                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="RBV-OM-jB0">
                                        <rect key="frame" x="8" y="8" width="398" height="104"/>
                                        <state key="normal" title="Button"/>
                                        <buttonConfiguration key="configuration" style="plain"/>
                                        <connections>
                                            <action selector="didTapProceedLabelOrView:" destination="BYZ-38-t0r" eventType="touchUpInside" id="BWR-62-cuR"/>
                                        </connections>
                                    </button>
                                </subviews>
                                <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                <constraints>
                                    <constraint firstItem="RBV-OM-jB0" firstAttribute="top" secondItem="Ubw-bL-h2z" secondAttribute="top" constant="8" id="1XV-59-U3h"/>
                                    <constraint firstItem="gNg-dx-g3s" firstAttribute="centerY" secondItem="Ubw-bL-h2z" secondAttribute="centerY" id="8Ww-y8-NF1"/>
                                    <constraint firstItem="Zje-EW-u7L" firstAttribute="centerY" secondItem="Ubw-bL-h2z" secondAttribute="centerY" id="CuJ-fx-3mB"/>
                                    <constraint firstItem="gNg-dx-g3s" firstAttribute="leading" secondItem="Ubw-bL-h2z" secondAttribute="leading" constant="40" id="DH2-wN-fDS"/>
                                    <constraint firstItem="RBV-OM-jB0" firstAttribute="leading" secondItem="Ubw-bL-h2z" secondAttribute="leading" constant="8" id="GK3-5B-GTy"/>
                                    <constraint firstItem="Zje-EW-u7L" firstAttribute="leading" secondItem="gNg-dx-g3s" secondAttribute="trailing" constant="24" id="Wo0-1s-VGG"/>
                                    <constraint firstAttribute="trailing" secondItem="RBV-OM-jB0" secondAttribute="trailing" constant="8" id="gar-Yc-Lhs"/>
                                    <constraint firstAttribute="height" constant="120" id="grs-1q-nUQ"/>
                                    <constraint firstAttribute="bottom" secondItem="RBV-OM-jB0" secondAttribute="bottom" constant="8" id="j5E-qw-alS"/>
                                    <constraint firstAttribute="trailing" secondItem="Zje-EW-u7L" secondAttribute="trailing" constant="24" id="xq0-wo-O8L"/>
                                </constraints>
                            </view>
                            <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" dataMode="prototypes" style="plain" separatorStyle="default" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="-1" estimatedSectionHeaderHeight="-1" sectionFooterHeight="-1" estimatedSectionFooterHeight="-1" translatesAutoresizingMaskIntoConstraints="NO" id="jaQ-tF-nQk">
                                <rect key="frame" x="0.0" y="208" width="414" height="654"/>
                                <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                <prototypes>
                                    <tableViewCell clipsSubviews="YES" contentMode="scaleToFill" preservesSuperviewLayoutMargins="YES" selectionStyle="none" indentationWidth="10" reuseIdentifier="PeriphTVCID" rowHeight="120" id="H63-2u-ieG" customClass="PeriphTableViewCell" customModule="BLEDemo" customModuleProvider="target">
                                        <rect key="frame" x="0.0" y="44.5" width="414" height="120"/>
                                        <autoresizingMask key="autoresizingMask"/>
                                        <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" preservesSuperviewLayoutMargins="YES" insetsLayoutMarginsFromSafeArea="NO" tableViewCell="H63-2u-ieG" id="KuZ-pg-BbG">
                                            <rect key="frame" x="0.0" y="0.0" width="414" height="120"/>
                                            <autoresizingMask key="autoresizingMask"/>
                                            <subviews>
                                                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="HELLOOO" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="wDk-cF-KRf">
                                                    <rect key="frame" x="44" y="49.5" width="78" height="21"/>
                                                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                    <nil key="textColor"/>
                                                    <nil key="highlightedColor"/>
                                                </label>
                                                <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="arrow.right.circle.fill" catalog="system" translatesAutoresizingMaskIntoConstraints="NO" id="W4c-r3-bY2">
                                                    <rect key="frame" x="358" y="44.5" width="32" height="31"/>
                                                    <color key="tintColor" red="0.0" green="0.58980089430000004" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                    <constraints>
                                                        <constraint firstAttribute="width" constant="32" id="lpr-gK-W5d"/>
                                                        <constraint firstAttribute="height" constant="32" id="wY4-YI-PwS"/>
                                                    </constraints>
                                                </imageView>
                                            </subviews>
                                            <constraints>
                                                <constraint firstItem="W4c-r3-bY2" firstAttribute="leading" relation="greaterThanOrEqual" secondItem="wDk-cF-KRf" secondAttribute="trailing" constant="8" symbolic="YES" id="21r-dm-A1Y"/>
                                                <constraint firstItem="wDk-cF-KRf" firstAttribute="leading" secondItem="KuZ-pg-BbG" secondAttribute="leadingMargin" constant="24" id="ABe-GL-fk6"/>
                                                <constraint firstAttribute="trailing" secondItem="W4c-r3-bY2" secondAttribute="trailing" constant="24" id="JT3-Zr-Vvz"/>
                                                <constraint firstItem="wDk-cF-KRf" firstAttribute="centerY" secondItem="KuZ-pg-BbG" secondAttribute="centerY" id="d5r-DA-rZu"/>
                                                <constraint firstItem="W4c-r3-bY2" firstAttribute="centerY" secondItem="KuZ-pg-BbG" secondAttribute="centerY" id="yX6-WS-qnN"/>
                                            </constraints>
                                        </tableViewCellContentView>
                                        <connections>
                                            <outlet property="titleLabel" destination="wDk-cF-KRf" id="8lJ-Px-4vM"/>
                                        </connections>
                                    </tableViewCell>
                                </prototypes>
                                <connections>
                                    <outlet property="dataSource" destination="BYZ-38-t0r" id="x6i-hp-f8U"/>
                                    <outlet property="delegate" destination="BYZ-38-t0r" id="6Je-RD-IbG"/>
                                </connections>
                            </tableView>
                        </subviews>
                        <viewLayoutGuide key="safeArea" id="6Tk-OE-BBY"/>
                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        <constraints>
                            <constraint firstItem="6Tk-OE-BBY" firstAttribute="trailing" secondItem="Ubw-bL-h2z" secondAttribute="trailing" id="ANT-0U-M0A"/>
                            <constraint firstItem="Ubw-bL-h2z" firstAttribute="leading" secondItem="6Tk-OE-BBY" secondAttribute="leading" id="F9y-e5-zfj"/>
                            <constraint firstItem="6Tk-OE-BBY" firstAttribute="bottom" secondItem="jaQ-tF-nQk" secondAttribute="bottom" id="GIh-cW-TLs"/>
                            <constraint firstItem="jaQ-tF-nQk" firstAttribute="leading" secondItem="6Tk-OE-BBY" secondAttribute="leading" id="L8L-7I-c9P"/>
                            <constraint firstItem="Ubw-bL-h2z" firstAttribute="top" secondItem="6Tk-OE-BBY" secondAttribute="top" id="Vbf-dn-AoJ"/>
                            <constraint firstItem="6Tk-OE-BBY" firstAttribute="trailing" secondItem="jaQ-tF-nQk" secondAttribute="trailing" id="k9K-h4-Q3l"/>
                            <constraint firstItem="jaQ-tF-nQk" firstAttribute="top" secondItem="Ubw-bL-h2z" secondAttribute="bottom" id="tLE-9p-jfL"/>
                        </constraints>
                    </view>
                    <navigationItem key="navigationItem" id="KBQ-vD-1um"/>
                    <connections>
                        <outlet property="perriphTableView" destination="jaQ-tF-nQk" id="7IV-3U-yjX"/>
                        <outlet property="topBLEIcon" destination="gNg-dx-g3s" id="qnM-eB-LQB"/>
                        <outlet property="topBLEstate" destination="Zje-EW-u7L" id="jw2-Rf-gb1"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="dkx-z0-nzr" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="928.98550724637687" y="59.598214285714285"/>
        </scene>
        <!--Peripheral View Controller-->
        <scene sceneID="vXF-s7-LCr">
            <objects>
                <viewController storyboardIdentifier="PeripheralVCID" useStoryboardIdentifierAsRestorationIdentifier="YES" id="jUJ-ls-LHC" customClass="PeripheralViewController" customModule="BLEDemo" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="t48-4z-Wku">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Connected to " textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="9ko-SQ-SQH">
                                <rect key="frame" x="40" y="84" width="334" height="20.5"/>
                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                <nil key="textColor"/>
                                <nil key="highlightedColor"/>
                            </label>
                        </subviews>
                        <viewLayoutGuide key="safeArea" id="LVo-N2-R6f"/>
                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        <constraints>
                            <constraint firstItem="9ko-SQ-SQH" firstAttribute="top" secondItem="LVo-N2-R6f" secondAttribute="top" constant="40" id="0tp-aQ-lzO"/>
                            <constraint firstItem="9ko-SQ-SQH" firstAttribute="leading" secondItem="LVo-N2-R6f" secondAttribute="leading" constant="40" id="FMS-Qc-B6C"/>
                            <constraint firstItem="LVo-N2-R6f" firstAttribute="trailing" secondItem="9ko-SQ-SQH" secondAttribute="trailing" constant="40" id="c9v-DP-9ei"/>
                        </constraints>
                    </view>
                    <connections>
                        <outlet property="titleLabel" destination="9ko-SQ-SQH" id="xYN-2p-Ofr"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="ebx-eC-UQ3" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1739.1304347826087" y="59.598214285714285"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="bYd-9v-Rfh">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="yHs-80-GOC" sceneMemberID="viewController">
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" id="Jdm-q8-4a3">
                        <rect key="frame" x="0.0" y="44" width="414" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="BYZ-38-t0r" kind="relationship" relationship="rootViewController" id="G5m-Jf-POJ"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="Z5L-CM-Hxc" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="18.840579710144929" y="59.598214285714285"/>
        </scene>
    </scenes>
    <resources>
        <image name="arrow.right.circle.fill" catalog="system" width="128" height="121"/>
        <image name="scanning" width="64" height="64"/>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
